QGIS Application - Bug report #20107
Inconsistent number of decimal places in Identify tool
2018-10-14 09:58 PM - Andrea Giudiceandrea

Status: Open

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27929
Description

In QGIS 3.3.0-Master, using the Identify tool, the Length, Area and Perimeter values are displayed always with 3 decimal places, while the
other values are displayed according to the settings in Project Properties | General | Coordinate Display | Precision.

https://issues.qgis.org/attachments/download/13499/QGIS330_2.PNG

PR https://github.com/qgis/QGIS/pull/7836 previously created.

History

#1 - 2018-10-14 09:58 PM - Andrea Giudiceandrea
- Description updated

#2 - 2018-10-14 09:59 PM - Andrea Giudiceandrea
- Description updated

#3 - 2018-10-28 02:00 PM - Andrea Giudiceandrea

- Affected QGIS version changed from 3.3(master) to 3.4.0

Confirmed on 3.4.0

#4 - 2018-10-28 09:36 PM - Giovanni Manghi
- Status changed from Open to Feedback

reopen the PR?

#5 - 2019-03-09 10:15 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.0 to 3.6.0
- Status changed from Feedback to Open

This is still true in the latest versions, not sure why the PR was closed.
